INTERACT FORUM

Please login or register.

Login with username, password and session length
Advanced search  
Pages: [1]   Go Down

Author Topic: JRiver Media Center 19.0.70-1 for Debian  (Read 7675 times)

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13526
JRiver Media Center 19.0.70-1 for Debian
« on: November 05, 2013, 05:35:34 pm »

http://files.jriver.com/mediacenter/channels/v19/latest/MediaCenter-19.0.70-1.deb

Purchase link

19.0.70-1 (11/5/2013)

1. Changed: Text drawing better supports international characters.
2. Changed: More precise dependencies for package installation.

19.0.70 (11/4/2013)

1. Changed: Timeout changed to Dec 8 2013

19.0.65 (10/29/2013)

1. Changed: An icon now appears in the Unity dock (and others) when minimized. No title yet ;)
2. Fixed: http authentication. Allows Library server auth to work.
3. Changed: Removed ogg support until the input plugin is repaired.

19.0.62 (10/25/2013)

1. Fixed: Windows title. Shows when minimized.
2. Changed: Program binary name is now mediacenter19 to allow side-by-side versions to run properly.
3. Changed: Updated debian build package to be more to spec. To replace the current version first remove the existing version (will not affect library or settings). Do this by: sudo dpkg -r mediacenter. Then install the new build. For non-debian systems, remove /usr/bin/mediacenter.

19.0.61 (10/24/2013)

1. Fixed: Pause now works with ALSA playback.
2. Fixed: Dragging the main window to position it was not working nicely.
3. Fixed: Menu tracking and keyboard navigation was not working properly.
4. NEW: Added desktop files and icon.

19.0.60 (10/22/2013)

1. Changed: Better ALSA device enumeration, should help to coexist with pulseaudio.

19.0.59 (10/21/2013)

1. Fixed: SSDP discovery stopped working after a short time.

19.0.57 (10/17/2013)

1. Changed: Prevent message boxes from popping up in /mediaserver mode.
2. Fixed: DLNA, problems with some http 1.1 devices.

19.0.56 (10/10/2013)

1. Changed: Attempt to back off requirements to SSE2.
2. NEW: If the default lucida font isn't found will fall back to a different font (requires the xfonts-100dpi package)

19.0.54 (10/08/2103)

1. NEW: Added support for 24-bit ALSA devices.
2. Fixed: When playback failed to start, it could lead to a crash.
3. Fixed: Mouse move tracking was not working, causing many UI issues.
4. Fixed: Typing in an edit control that showed suggestions could segfault.

19.0.53 (10/07/2013)

1. Fixed: Window minimize, maximize, and restore work.
2. NEW: Compiled without SSE support. Need Feedback.

19.0.52 (10/4/2013)

1: NEW: Fallback to S16_LE sound if the ALSA driver doesn't support S32_LE.
2: Fixed: Font spacing and switched to Lucinda.
3: Fixed: Added more package dependencies.

19.0.51 (10/3/2013)

1. NEW: First build.
Logged

Mike Noe

  • MC Beta Team
  • Citizen of the Universe
  • *****
  • Posts: 792
Re: JRiver Media Center 19.0.70-1 for Debian
« Reply #1 on: November 05, 2013, 09:52:16 pm »

I'm using a linux box running a mono/GTK# app using MCWS to communicate with MC Servers, on running on Windows and the other Linux.

So far these are not working on the linux version but work as expected on the Windows....more to check:
Code: [Select]
http://laptop:52199/MCWS/v1/Control/CommandLine?Arguments=/Restart
http://laptop:52199/MCWS/v1/Control/MCC?Command=27001&Parameter=1
http://laptop:52199/MCWS/v1/Control/MCC?Command=27001&Parameter=0
MC .70 on Win7 and openSuse13.1RC2
Logged
openSUSE TW/Plasma5 x86_64 | Win10Pro/RX560
S.M.S.L USB-DAC => Transcendent GG Pre (kit) => Transcendent mono OTLs (kit)
(heavily modded) Hammer Dynamics Super-12s (kit)
(optionally) VonSchweikert VR8s

jefierro

  • Recent member
  • *
  • Posts: 8
Re: JRiver Media Center 19.0.70-1 for Debian
« Reply #2 on: November 06, 2013, 02:59:04 pm »

While i could install 19.0.65 on a x64 ubuntu 13.10, now 19.0.70-1 wont install claiming xfont-75dpi is not installed when it is.
Logged

bob

  • Administrator
  • Citizen of the Universe
  • *****
  • Posts: 13526
Re: JRiver Media Center 19.0.70-1 for Debian
« Reply #3 on: November 06, 2013, 04:13:42 pm »

While i could install 19.0.65 on a x64 ubuntu 13.10, now 19.0.70-1 wont install claiming xfont-75dpi is not installed when it is.
Interesting, I installed it on the same system before I posted it. Try reinstalling the xfonts-75dpi font.
dpkg -l xfonts-75dpi
should show it. Architecture "all"

Logged

faceless

  • Recent member
  • *
  • Posts: 11
Re: JRiver Media Center 19.0.70-1 for Debian
« Reply #4 on: November 07, 2013, 02:26:22 pm »

About xfonts just install them with a package manager like synaptic or something.

Playback is working fine in Ubuntu 13.04 and Xubuntu 13.10. Now MC coexists more peacefully with pulseaudio, however I have some issues, mainly while importing:

- MC crashed while importing files or maybe a specific set of files of flac audio (can't be more precise than this). Fortunately, it seems that the problematic files were contained in one folder. With that folder excluded I was able to import most of my flac (and ape) library.

- MC only imports some sacd-r isos but not others (why is that?)

- Can't tag properly

Logged
Pages: [1]   Go Up